Subject: Re: bug#70790: 30.0.50; xfaces crash

From: Stefan Kangas <[email-masked]>
Date: Fri, 28 Feb 2025 18:34:30 -0800

Eli Zaretskii <[email-masked]> writes:

>> Date: Sun, 05 May 2024 23:10:19 +0530 (IST)
>> From: Madhu <[email-masked]>
>>
>> Hello, FTR I'm attaching the decoded addr2line crash backtrace, no gdb
>> backtrace yet.  In this case the crash happened when I evaluated the
>> following form:
>>
>> ```
>> (set-fontset-font "fontset-default" (cons #x0591 #xFB4F) "Taamey D")
>> ```
>>
>> I think I've seen this a few times but I don't have a reproducible
>> recipe yet and way too many fonts on my system.  I'll follow up on any
>> suggestions which might produce a better test case.
>
> Does this happen only with that font?
>
> Is it reproducible (i.e., happens each time you evaluate that form)?
>
>> deliver_thread_signal at /14/build/emacs/build-xt-native/src/../../src/sysdep.c:1782
>> stack_overflow at /14/build/emacs/build-xt-native/src/../../src/sysdep.c:1892
>>  (inlined by) handle_sigsegv at /14/build/emacs/build-xt-native/src/../../src/sysdep.c:1937
>> ?? ??:0
>
> The above confuses me: it says "stack overflow", so does it mean there
> was some kind of infinite recursion?
>
> Please try triggering this in Emacs run from GDB, and show the full
> backtrace when it happens.

Ping.  We seem to need more information here to proceed.